Subject: Re: [v5.1] ucc_fast: Fix to avoid IS_ERR_VALUE abuses and dead code on 64bit systems.

From: Arnd Bergmann <[email-masked]>
Date: Thu, 04 Aug 2016 22:31:30 +0200

On Thursday, August 4, 2016 10:22:43 PM CEST Arvind Yadav wrote:
> index df8ea79..ada9070 100644
> --- a/include/soc/fsl/qe/ucc_fast.h
> +++ b/include/soc/fsl/qe/ucc_fast.h
> @@ -165,10 +165,12 @@ struct ucc_fast_private {
>         int stopped_tx;         /* Whether channel has been stopped for Tx
>                                    (STOP_TX, etc.) */
>         int stopped_rx;         /* Whether channel has been stopped for Rx */
> -       u32 ucc_fast_tx_virtual_fifo_base_offset;/* pointer to base of Tx
> -                                                   virtual fifo */
> -       u32 ucc_fast_rx_virtual_fifo_base_offset;/* pointer to base of Rx
> -                                                   virtual fifo */
> +       unsigned long ucc_fast_tx_virtual_fifo_base_offset;/* pointer to base of
> +                                                           * Tx virtual fifo
> +                                                           */
> +       unsigned long ucc_fast_rx_virtual_fifo_base_offset;/* pointer to base of
> +                                                           * Rx virtual fifo
> +                                                           */
>  #ifdef STATISTICS
>         u32 tx_frames;          /* Transmitted frames counter. */
>         u32 rx_frames;          /* Received frames counter (only frames
> 

This change seems ok, but what about the other u32 variables in ucc_geth.c
that get checked for IS_ERR_VALUE?

	Arnd